Sign inGet started

Access keys

GET
/organizations/{organizationId}/access-keys
List the access keys that are created for this organization.
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
results
array of object
erforderlich
List of access keys.
Untergeordnete Attribute anzeigen
results.id
string
erforderlich
ID of the access key.
results.organizationId
string
erforderlich
ID of the organization that owns the access key.
results.name
string
erforderlich
Access key name.
results.type
string
Possible values: user, workspace, workspace-scim, service, organization
results.description
string
Access key description.
results.suffix
string
erforderlich
Access key suffix.
results.lastUsedAt
string
When the access key was last used.
results.createdAt
string
erforderlich
When the access key was created.
results.updatedAt
string
When the access key was last updated.
results.roleIds
array of string
IDs of IAM roles attached to the access key.
results.roleRefs
array of object
The list of IAM roles assigned to the access key.
Untergeordnete Attribute anzeigen
results.roleRefs.id
string
erforderlich
results.roleRefs.type
string
erforderlich
Possible values: organization, managed
results.roleRefs.workspaces
array of string
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/access-keys
Create a new access key for the organization.
Anfrage-Payload
name
string
erforderlich
Access key name.
description
string
erforderlich
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Untergeordnete Parameter anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwort-Payload
accessKey
object
erforderlich
The access key record.
Untergeordnete Attribute anzeigen
accessKey.id
string
erforderlich
ID of the access key.
accessKey.organizationId
string
erforderlich
ID of the organization that owns the access key.
accessKey.name
string
erforderlich
Access key name.
accessKey.type
string
Possible values: user, workspace, workspace-scim, service, organization
accessKey.description
string
Access key description.
accessKey.suffix
string
erforderlich
Access key suffix.
accessKey.lastUsedAt
string
When the access key was last used.
accessKey.createdAt
string
erforderlich
When the access key was created.
accessKey.updatedAt
string
When the access key was last updated.
accessKey.roleIds
array of string
IDs of IAM roles attached to the access key.
accessKey.roleRefs
array of object
The list of IAM roles assigned to the access key.
Untergeordnete Attribute anzeigen
accessKey.roleRefs.id
string
erforderlich
accessKey.roleRefs.type
string
erforderlich
Possible values: organization, managed
accessKey.roleRefs.workspaces
array of string
token
string
erforderlich
The token that can be used for authentication
Codebeispiel
curl -X POST 'https://api.bird.com/organizations/{organizationId}/access-keys' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/access-keys/{accessKeyId}
Retrieve a single access key.
Antwort-Payload
id
string
erforderlich
ID of the access key.
organizationId
string
erforderlich
ID of the organization that owns the access key.
name
string
erforderlich
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
erforderlich
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
erforderlich
When the access key was created.
updatedAt
string
When the access key was last updated.
roles
array of object
erforderlich
IAM roles attached to this access key.
Untergeordnete Attribute anzeigen
roles.accessKeysDependencyCount
integer
erforderlich
The number of access keys this role is assigned to.
roles.actions
array of object
Actions this role contains.
Untergeordnete Attribute anzeigen
roles.actions.name
string
erforderlich
The name of the action.
roles.actions.type
string
erforderlich
The type that the action belongs to.
roles.createdAt
string
erforderlich
When this role was created.
roles.description
string
Role description.
roles.id
string
erforderlich
ID of the role.
roles.metadata
object
Metadata for the IAM Role.
Untergeordnete Attribute anzeigen
roles.metadata.clouds
array of string
roles.name
string
erforderlich
Role name.
roles.organizationId
string
ID of the organization to which this role belongs.
roles.policies
array of object
erforderlich
IAM Policies this role contains.
Untergeordnete Attribute anzeigen
The IAM policy record.
roles.policies.createdAt
string
erforderlich
When the IAM Policy was created.
roles.policies.definitions
array of object
erforderlich
List of IAM Policy definitions.
Untergeordnete Attribute anzeigen
roles.policies.definitions.actions
array of string
erforderlich
A list of actions
roles.policies.definitions.conditionsAll
array of object
Untergeordnete Attribute anzeigen
roles.policies.definitions.conditionsAll.any
object
roles.policies.definitions.effect
string
erforderlich
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
roles.policies.definitions.resources
array of string
erforderlich
A list of resources
roles.policies.description
string
IAM Policy description.
roles.policies.id
string
erforderlich
ID of the IAM Policy.
roles.policies.metadata
object
Metadata for the IAM Policy.
Untergeordnete Attribute anzeigen
roles.policies.metadata.apps
array of string
roles.policies.metadata.clouds
array of string
roles.policies.metadata.groups
array of string
roles.policies.name
string
erforderlich
IAM Policy name.
roles.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
roles.policies.scope
string
erforderlich
The scope to which this policy applies.
Possible values: organization, root
roles.policies.updatedAt
string
erforderlich
When the IAM Policy was last updated.
roles.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
roles.type
string
erforderlich
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
roles.updatedAt
string
erforderlich
When this role was last updated.
roles.usersDependencyCount
integer
erforderlich
The number of users this role is assigned to.
Codebeispiel
curl -X GET 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/access-keys/{accessKeyId}
Remove the access key from the organization.
Codebeispiel
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/access-keys/{accessKeyId}
Update the access key's properties.
Anfrage-Payload
name
string
Access key name.
description
string
Access key description.
roleIds
array of string
IAM roles attached to this access key.
roleRefs
array of object
The list of IAM roles to assign to the access key.
Untergeordnete Parameter anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
Antwort-Payload
id
string
erforderlich
ID of the access key.
organizationId
string
erforderlich
ID of the organization that owns the access key.
name
string
erforderlich
Access key name.
type
string
Possible values: user, workspace, workspace-scim, service, organization
description
string
Access key description.
suffix
string
erforderlich
Access key suffix.
lastUsedAt
string
When the access key was last used.
createdAt
string
erforderlich
When the access key was created.
updatedAt
string
When the access key was last updated.
roleIds
array of string
IDs of IAM roles attached to the access key.
roleRefs
array of object
The list of IAM roles assigned to the access key.
Untergeordnete Attribute anzeigen
roleRefs.id
string
erforderlich
roleRefs.type
string
erforderlich
Possible values: organization, managed
roleRefs.workspaces
array of string
Codebeispiel
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/access-keys/{accessKeyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'